Index: trunk/Mars/hawc/processing/DiskToDB/extract-raw-header2.sh
===================================================================
--- trunk/Mars/hawc/processing/DiskToDB/extract-raw-header2.sh	(revision 20091)
+++ trunk/Mars/hawc/processing/DiskToDB/extract-raw-header2.sh	(revision 20093)
@@ -32,5 +32,5 @@
 # define variables
 OUTPUT=insert-raw.sql
-readonly FITSDUMP="/home/frankm/Dateien/FACT++_0/build/fitsdump"
+readonly FITSDUMP="/home/frankm/Dateien/FACT++/build/fitsdump"
 readonly PROGRAM=$0
 INSERT="INSERT INTO"
@@ -167,9 +167,4 @@
 	# necessary, removes enclosures around hex-numbers and adds 
 	# commas after all lines except the last one
-	# FIXME: fitsdump -h alway returns error. Must be fixed in FACT++
-	#	 so pipe errors from this are ignored. Also fitsdump outputs 
-	# 	 some info to filedescriptor 2. So error outputs are now
-	# 	 redirected to filedescriptor 4, which redirects to LOG.
-	set +o pipefail
 	RESULT=`${FITSDUMP} -h "${ROOT}" 2>&4 \
 		| grep "${TOGREP}" \
@@ -189,5 +184,4 @@
 		| sed "s/^\(.*\)'\(0x[0-9a-f]*\)'\(.*\)$/\1\2\3/g" \
 		| sed '$!s/$/,/'`
-	set -o pipefail
 
 	# compare to refference header and count commas
Index: trunk/Mars/hawc/processing/DiskToDB/run-callisto2.sh
===================================================================
--- trunk/Mars/hawc/processing/DiskToDB/run-callisto2.sh	(revision 20091)
+++ trunk/Mars/hawc/processing/DiskToDB/run-callisto2.sh	(revision 20093)
@@ -166,11 +166,4 @@
 		       RC=${PIPESTATUS[0]}
 
-		       CALLERR=`grep "Error" "${OUT}"/${PREFIX}.log || true`
-		       if [ -n "${CALLERR}" ]
-		       then
-			       echo "ERROR: Line $LINENO error in callisto.C" >&2
-			       echo "error was: ${CALLERR}" >&2
-			       exit 1
-		       fi
 
 		       # Remember exit status of callisto
Index: trunk/Mars/hawc/processing/DiskToDB/run-root2sql2.sh
===================================================================
--- trunk/Mars/hawc/processing/DiskToDB/run-root2sql2.sh	(revision 20091)
+++ trunk/Mars/hawc/processing/DiskToDB/run-root2sql2.sh	(revision 20093)
@@ -28,5 +28,5 @@
 
 # Path to the executable
-readonly ROOT2SQL="/home/frankm/Dateien/FACT++_0/build/root2sql"
+readonly ROOT2SQL="/home/frankm/Dateien/FACT++/build/root2sql"
 readonly PROGRAM=${0}
 
Index: trunk/Mars/hawc/processing/DiskToDB/run-scripts.sh
===================================================================
--- trunk/Mars/hawc/processing/DiskToDB/run-scripts.sh	(revision 20091)
+++ trunk/Mars/hawc/processing/DiskToDB/run-scripts.sh	(revision 20093)
@@ -77,8 +77,8 @@
 readonly DATE=`date +%Y%m%d_%H%M`
 readonly LOG="./log/${SCRPTN}_${DATE}.log"
-# exec 3>&1 1>>${LOG}
-# exec 4>>${LOG}
-exec 3>&1
-exec 4>&1
+exec 3>&1 1>>${LOG}
+exec 4>>${LOG}
+# exec 3>&1
+# exec 4>&1
 
 echo "Start processing data"
@@ -180,5 +180,5 @@
 fi
 
-echo "Updating database" >&3
+echo "Updating database"
 
 echo "Nights to process:"
@@ -224,6 +224,5 @@
 	fi
 
-	# if [ ${STATUS} -lt "3" ]
-	if [ "a" = "b" ]
+	if [ ${STATUS} -lt "3" ]
 	then
 		# Get aux data
@@ -266,5 +265,4 @@
 	fi
 
-	SetStatus ${CRED} ${TEL} "4" ${NIGHT}
 	if [ ${STATUS} -lt "5" ]
 	then
Index: trunk/Mars/hawc/processing/DiskToDB/run-star2.sh
===================================================================
--- trunk/Mars/hawc/processing/DiskToDB/run-star2.sh	(revision 20091)
+++ trunk/Mars/hawc/processing/DiskToDB/run-star2.sh	(revision 20093)
@@ -156,14 +156,4 @@
 			RC=${PIPESTATUS[0]}
 
-			STARERR=`grep "Error" "${OUT}"/${PREFIX}.log || true`
-			BADSTRG=`grep "Error in <ReplaceSubs>: bad string number:"\
-				"${OUT}"/${PREFIX}.log || true`
-			if [ -n "${STARERR}" ] && [ -z "${BADSTRG}" ]
-			then
-				echo "ERROR: Line $LINENO error in star.C" >&2
-				echo "error was: ${STARERR}" >&2
-				exit 1
-			fi
-
 			echo RC=${RC} | tee -a "${OUT}"/${PREFIX}.log
 			echo ${RC} > "${OUT}"/.${PREFIX}.done
